Dash0 acquires Polar Signals

Manage Time Series Aggregations (Private BETA)

Create a new time series aggregation

post/api/time-series-aggregations

Create a new time series aggregation rule for your organization. If metadata.labels["dash0.com/origin"] is provided, it must be unique within the organization and dataset; a request with a duplicate origin returns 400. If no origin is provided, the server auto-generates one.

Parameters 1

datasetquery
References Dataset

Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.

stringpattern "^[a-zA-Z0-9_-]{3,26}$"
bash
Sample request
123456789101112131415161718192021222324252627
curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/time-series-aggregations' \
--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
--header 'Content-Type: application/json' \
--data-raw '{
"kind": "Dash0TimeSeriesAggregation",
"metadata": {
"name": "Example"
},
"spec": {
"enabled": true,
"match": {
"metricNameMatcher": {
"operator": "is"
},
"otherFilters": [
{
"key": "service.name",
"operator": "is",
"value": "shop"
}
]
},
"sample": {
"interval": "1m"
}
}
}'

Request body required

stringrequired
"Dash0TimeSeriesAggregation"

Responses

The created time series aggregation

stringrequired
"Dash0TimeSeriesAggregation"